3f26422f3a
- Rename patches to match git repository: * old: 0013-Correct-paths-for-openSUSE.patch new: 0011-Correct-paths-for-openSUSE.patch * old: 0014-Check-for-plymouth-lib-directories.patch new: 0012-Check-for-plymouth-lib-directories.patch * old: dracut_do_not_update_booloader_if_no_kernel_is_found.patch new: 0013-mkinitrd-suse-do-not-update-bootloader-if-no-kernel-.patch * old: suse_grub_manpage.patch new: 0014-Update-dracut-manpage-for-GRUB-Legacy-and-GRUB2.patch * old: replace_dhclient_with_wickedd_dhcp_supplicants.patch new: 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch * old: 0015-add-new-s390x-specific-rule-files.patch new: 0016-Add-new-s390x-specific-rule-files.patch * old: change_write_ifcfg_to_suse.patch new: 0017-45ifcfg-use-distro-specific-scripts.patch * old: dracut-fix-whitespace-add-drivers_call.patch new: 0018-mkinitrd-suse-Fix-whitespaces-when-adding-drivers.patch * old: wait_for_network_race_condition_fix.patch new: 0019-40network-Fix-race-condition-when-wait-for-networks.patch * old: dracut-warpclock_module.patch new: 0020-00warpclock-Set-correct-timezone.patch * old: s390-dcssblk.patch new: 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch * old: dracut-install-persistent-rule.patch new: 0022-95udev-rules-add-persistent-network-rule.patch * old: dracut-really-always-add-autofs4.patch new: 0023-systemd-always-tries-to-load-autofs4.patch * old: mdraid-setup.patch new: 0024-Fixup-mdraid-setup.patch * old: 0015-95udev-rules-Add-59-scsi-sg_utils.rules.patch OBS-URL: https://build.opensuse.org/request/show/236221 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=156
57 lines
1.8 KiB
Diff
57 lines
1.8 KiB
Diff
From 7995f23a106e28afa0204b5eca68671cb514b1d9 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Tue, 21 Jan 2014 14:32:09 +0100
|
|
Subject: [PATCH] Add new s390x-specific rule files
|
|
|
|
With the new s390x configuration tool the naming of the udev
|
|
rules files have changed. So add these to the existing ones
|
|
to be compatible with existing and new installations.
|
|
|
|
References: bnc#856585
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95dasd_rules/module-setup.sh | 4 ++--
|
|
modules.d/95zfcp_rules/module-setup.sh | 1 +
|
|
2 files changed, 3 insertions(+), 2 deletions(-)
|
|
|
|
diff --git a/modules.d/95dasd_rules/module-setup.sh b/modules.d/95dasd_rules/module-setup.sh
|
|
index 51c315d..451fc25 100755
|
|
--- a/modules.d/95dasd_rules/module-setup.sh
|
|
+++ b/modules.d/95dasd_rules/module-setup.sh
|
|
@@ -6,7 +6,7 @@
|
|
check() {
|
|
local _arch=$(uname -m)
|
|
[ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
|
- require_binaries dasd_configure /usr/lib/udev/collect || return 1
|
|
+ require_binaries /usr/lib/udev/collect || return 1
|
|
return 0
|
|
}
|
|
|
|
@@ -18,10 +18,10 @@ depends() {
|
|
|
|
# called by dracut
|
|
install() {
|
|
- inst_multiple /usr/lib/udev/collect
|
|
inst_hook cmdline 30 "$moddir/parse-dasd.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-dasd-*.rules
|
|
+ inst_rules_wildcard 41-s390x-dasd-*.rules
|
|
fi
|
|
inst_rules 59-dasd.rules
|
|
}
|
|
diff --git a/modules.d/95zfcp_rules/module-setup.sh b/modules.d/95zfcp_rules/module-setup.sh
|
|
index d9879cb..849645c 100755
|
|
--- a/modules.d/95zfcp_rules/module-setup.sh
|
|
+++ b/modules.d/95zfcp_rules/module-setup.sh
|
|
@@ -21,5 +21,6 @@ install() {
|
|
inst_hook cmdline 30 "$moddir/parse-zfcp.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-zfcp-*.rules
|
|
+ inst_rules_wildcard 41-s390x-zfcp-*.rules
|
|
fi
|
|
}
|
|
--
|
|
1.8.1.4
|
|
|